@charset "UTF-8";

::placeholder {
    color: #888888;
}

input[type="checkbox"],
input[type="radio"] {
    all: revert;
    align-self: center;
    margin: 0;

    accent-color: #888888;
}

input[type="text"],
input[type="date"],
input[type="datetime"],
input[type="datetime-local"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="email"],
input[type="url"],
input[type="search"],
input[type="telephone"],
input[type="number"],
textarea {
    display: block;
    width: 100%;
    padding: var(--sp8) var(--sp16);
    border: var(--border);
    border-radius: calc(5 * var(--u));
    box-sizing: border-box;
    line-height: 2;

    outline-offset: 0 !important;
}

textarea {
    min-height: calc(300 * var(--u));
    line-height: inherit;
    vertical-align: middle;
    resize: vertical;
}
